Bug 163591 - [GTK] Cannot build GTK+ with CUPS 2.* versions
Summary: [GTK] Cannot build GTK+ with CUPS 2.* versions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords:
Depends on: 163689 163776
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-18 01:29 PDT by Manuel Rego Casasnovas
Modified: 2016-12-07 14:37 PST (History)
10 users (show)

See Also:


Attachments
Patch (1.35 KB, patch)
2016-10-18 01:32 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (3.32 KB, patch)
2016-10-19 13:16 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch to workaround the build (604 bytes, patch)
2016-10-27 03:20 PDT, Xabier Rodríguez Calvar
no flags Details | Formatted Diff | Diff
Patch (2.80 KB, patch)
2016-12-07 10:14 PST, ChangSeok Oh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Manuel Rego Casasnovas 2016-10-18 01:29:56 PDT
[GTK] Cannot build GTK+ with CUPS 2.* versions
Comment 1 Manuel Rego Casasnovas 2016-10-18 01:31:12 PDT
GTK+ is wrongly checking about the avaible CUPS version, so if you have CUPS 2.* the configure step fails.

The issue has already been fixed in GTK+ upstream:
https://git.gnome.org/browse/gtk+/commit/id=631f6b536485829a0bd00532f5826ad302b4951b
But the change is not part of the 3.16.* versions.
Comment 2 Manuel Rego Casasnovas 2016-10-18 01:32:35 PDT
Created attachment 291930 [details]
Patch
Comment 3 Carlos Garcia Campos 2016-10-18 01:35:23 PDT
Comment on attachment 291930 [details]
Patch

Have you checked that printing tests still work with cups disabled? I would add a patch for gtk+ with the upstream fix, at least until we bump the GTK+ version in jhbuild.
Comment 4 Manuel Rego Casasnovas 2016-10-18 01:41:26 PDT
Ok, I can add the patch if you prefer it. Thanks for the quick reviews!

(In reply to comment #1)
> The issue has already been fixed in GTK+ upstream:
> https://git.gnome.org/browse/gtk+/commit/
> id=631f6b536485829a0bd00532f5826ad302b4951b
Sorry this link was wrong, the right one is:
https://git.gnome.org/browse/gtk+/commit/?id=631f6b536485829a0bd00532f5826ad302b4951b
Comment 5 Michael Catanzaro 2016-10-18 06:50:21 PDT
Comment on attachment 291930 [details]
Patch

I agree with Carlos, this doesn't look like a good idea.
Comment 6 Manuel Rego Casasnovas 2016-10-19 13:16:25 PDT
Created attachment 292102 [details]
Patch

This is the version using the upstream patch to fix the build with CUPS. However it doesn't work if glib is not in version 2.50. So I've provided a different patch in bug #163689 to bump the glib version that should be landed before this one.
Comment 7 WebKit Commit Bot 2016-10-20 03:13:46 PDT
Comment on attachment 292102 [details]
Patch

Clearing flags on attachment: 292102

Committed r207609: <http://trac.webkit.org/changeset/207609>
Comment 8 WebKit Commit Bot 2016-10-20 03:13:51 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 WebKit Commit Bot 2016-10-21 01:17:48 PDT
Re-opened since this is blocked by bug 163776
Comment 10 Manuel Rego Casasnovas 2016-10-21 14:37:14 PDT
(In reply to comment #3)
> Have you checked that printing tests still work with cups disabled?

FWIW, I've verified that TestWebKitAPI/WebKit2Gtk/TestPrinting fails (actually timeouts) if you pass --disable-cups to GTK+ build.
Comment 11 Xabier Rodríguez Calvar 2016-10-27 03:20:46 PDT
Created attachment 293007 [details]
Patch to workaround the build
Comment 12 Joanmarie Diggs (irc: joanie) 2016-10-27 10:43:57 PDT
Comment on attachment 292102 [details]
Patch

This patch should once again be good.
Comment 13 ChangSeok Oh 2016-12-06 12:30:14 PST
What blocks this to land? If bumping glib and its consequence making bots red is the blocker, how about applying the change in the configure.ac to the configure directly? We don't need to bump up the glib so we don't need to worry  about bots red.
Comment 14 Michael Catanzaro 2016-12-06 16:42:32 PST
Hi!

(In reply to comment #13)
> What blocks this to land?

First patch depends on bug #163689, which looks like it would probably be pretty easy to fix (see my last comment in that bug), just nobody has tried to.

Second patch uses --disable-cups, which is not OK.
Comment 15 ChangSeok Oh 2016-12-07 10:14:35 PST
Created attachment 296395 [details]
Patch
Comment 16 Michael Catanzaro 2016-12-07 11:05:03 PST
Comment on attachment 296395 [details]
Patch

OK
Comment 17 ChangSeok Oh 2016-12-07 14:12:09 PST
Comment on attachment 296395 [details]
Patch

I don't know why the gtk-wk2 bot hangs on the oragne. Anyhow, this should not hurt anything.
Comment 18 WebKit Commit Bot 2016-12-07 14:37:14 PST
Comment on attachment 296395 [details]
Patch

Clearing flags on attachment: 296395

Committed r209482: <http://trac.webkit.org/changeset/209482>
Comment 19 WebKit Commit Bot 2016-12-07 14:37:19 PST
All reviewed patches have been landed.  Closing bug.